/* ================================ *\
   Gradient
\* ================================ */

/// Linear Gradient with different Browser Prefixes
/// @access public
/// @param {string} $dir [vertical] - direction
/// @param {string} $from [$colorPrimary] - color start
/// @param {string} $to [transparent] - color end
/// @link http://coderesponsible.com/useful-sass-mixins/
@mixin _linearGradient($dir: vertical, $from: $color-primary, $to: transparent) {
  background: $from; /* Old browsers */

  @if ($dir == 'vertical') {
    background: -moz-linear-gradient(top, $from 0%, $to 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, $from), color-stop(100%, $to)); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, $from 0%, $to 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top, $from 0%, $to 100%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top, $from 0%, $to 100%); /* IE10+ */
    background: linear-gradient(to bottom, $from 0%, $to 100%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#000000', GradientType=0); /* IE6-9 */
  }

  @if ($dir == 'horizontal') {
    background: -moz-linear-gradient(left, $from 0%, $to 100%);
    background: -webkit-gradient(left top, right top, color-stop(0%, $from), color-stop(100%, $to));
    background: -webkit-linear-gradient(left, $from 0%, $to 100%);
    background: -o-linear-gradient(left, $from 0%, $to 100%);
    background: -ms-linear-gradient(left, $from 0%, $to 100%);
    background: linear-gradient(to right, $from 0%, $to 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#{$from}', endColorstr='#{$to}', GradientType=1);
  }
}